Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.handler
Class HandlerPipeline

    java.lang.Object
      org.codehaus.xfire.handler.AbstractHandler
          org.codehaus.xfire.handler.HandlerPipeline

All Implemented Interfaces:
  Handler

    public class HandlerPipeline

extends AbstractHandler
implements Handler

Author:
  Dan Diephouse

Field Summary

Fields inherited from interface org.codehaus.xfire.handler.Handler
`ROLE`

Constructor Summary
`HandlerPipeline(java.util.List phases)`

Method Summary
`void` | `addHandler(Handler handler)`
`void` | `addHandlers(java.util.List handlers)`
`void` | `handleFault(XFireFault fault, MessageContext context)` Takes a fault, creates a fault message and sends it via the fault channel.
`void` | `invoke(MessageContext context)` Invokes each phase's handler in turn.
`boolean` | `understands(javax.xml.namespace.QName name)` Determines whether or not this Pipeline "understands" a particular header.

Methods inherited from class org.codehaus.xfire.handler.AbstractHandler
`getPhase, getRoles, getUnderstoodHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.xfire.handler.Handler
`getPhase, getRoles, getUnderstoodHeaders`

Constructor Detail

### HandlerPipeline

    public HandlerPipeline(java.util.List phases)

Method Detail

### addHandlers

    public void addHandlers(java.util.List handlers)

### addHandler

    public void addHandler(Handler handler)

### invoke

    public void invoke(MessageContext context)
                throws java.lang.Exception

  Invokes each phase's handler in turn.

  Specified by:
    `invoke` in interface `Handler`
  Parameters:
    `context` -
  Throws:
    `java.lang.Exception`

### handleFault

    public void handleFault(XFireFault fault,
                            MessageContext context)

  Takes a fault, creates a fault message and sends it via the fault channel.

  Specified by:
    `handleFault` in interface `Handler`
  Overrides:
    `handleFault` in class `AbstractHandler`
  Parameters:
    `fault` -
    `context` -
  See Also:
    `org.codehaus.xfire.handler.Handler#handleFault(java.lang.Exception, org.codehaus.xfire.MessageContext)`

### understands

    public boolean understands(javax.xml.namespace.QName name)

  Determines whether or not this Pipeline "understands" a particular header.

  Parameters:
    `pipeline` -
    `name` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.